import { httpPost } from '../utils/request';

export function fetchAutoComData(params) { // 自动完成组件
  return httpPost(params.url, params.payload, false)
}

export function subAutoComData(params) { // 从表自动完成组件
  return httpPost(params.url, params.payload, false)
}
export function getEditPageConfigInfo(params) {
  return httpPost('PF/PageEdit/GetEditPageConfigInfo', params)
}

export function getAutoCompleteData(params) {
  return httpPost(params.url, params.payload, false, undefined, undefined, params.isIgnoreTenant)
}

export function getUserCustomConfigInfo(params) {
  return httpPost('PF/PageEdit/GetUserCustomConfigInfo', params)
}

export function saveUserCustomConfig(params) {
  return httpPost('PF/PageEdit/SaveUserCustomConfigInfo', params)
}
